Index: Singular/mpr_base.cc
===================================================================
--- Singular/mpr_base.cc	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/mpr_base.cc	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -2556,6 +2777,8 @@
   // evaluate the determinant in the points pev^0, pev^1, ..., pev^mdg
   mprPROTnl("// evaluating:");
-  for ( i=0; i < mdg; i++ ) {
-    for (j=0; j < n; j++) {
+  for ( i=0; i < mdg; i++ )
+  {
+    for (j=0; j < n; j++)
+    {
       nDelete( &pev[j] );
       nPower(pevpoint[j],i,&pev[j]);
@@ -2574,5 +2797,5 @@
   mprPROTnl("// interpolating:");
   number *ncpoly;
-  { 
+  {
     vandermonde vm( mdg, n, tdg, pevpoint );
     ncpoly= vm.interpolateDense( presults );
@@ -2581,16 +2804,18 @@
   if ( subDetVal != NULL ) {   // divide by common factor
       number detdiv;
-      for ( i= 0; i <= mdg; i++ ) {
-	detdiv= nDiv( ncpoly[i], subDetVal );
-	nNormalize( detdiv );
-	nDelete( &ncpoly[i] );
-	ncpoly[i]= detdiv;
-      }
-    }
-  
+      for ( i= 0; i <= mdg; i++ )
+      {
+        detdiv= nDiv( ncpoly[i], subDetVal );
+        nNormalize( detdiv );
+        nDelete( &ncpoly[i] );
+        ncpoly[i]= detdiv;
+      }
+    }
+
 #ifdef mprDEBUG_ALL
   PrintLn();
-  for ( i=0; i < mdg; i++ ) { 
-    nPrint(ncpoly[i]); Print(" --- "); 
+  for ( i=0; i < mdg; i++ )
+  {
+    nPrint(ncpoly[i]); Print(" --- ");
   }
   PrintLn();
@@ -2599,6 +2824,8 @@
   // prepare ncpoly for later use
   number nn=nInit(0);
-  for ( i=0; i < mdg; i++ ) { 
-    if ( nEqual(ncpoly[i],nn) ) { 
+  for ( i=0; i < mdg; i++ )
+  {
+    if ( nEqual(ncpoly[i],nn) )
+    {
       nDelete( &ncpoly[i] );
       ncpoly[i]=NULL;
@@ -2616,18 +2843,24 @@
   long c=0;
 
-  for ( i=0; i < l; i++ ) {
-    if ( sum == tdg ) {
-      if ( ncpoly[c] ) {
-	poly p= pOne();
-	if ( rmt == denseResMat ) {
-	  for ( j= 0; j < n; j++ ) pSetExp( p, j+1, exp[j] );
-	} else if ( rmt == sparseResMat ) {
-	  for ( j= 1; j < n; j++ ) pSetExp( p, j, exp[j] );
-	}
-	pSetCoeff( p, ncpoly[c] );
-	pSetm( p );
-	if (result) result= pAdd( pCopy(result), pCopy(p) );
-	else result= pCopy( p );
-	pDelete( &p );
+  for ( i=0; i < l; i++ )
+  {
+    if ( sum == tdg )
+    {
+      if ( ncpoly[c] )
+      {
+        poly p= pOne();
+        if ( rmt == denseResMat )
+        {
+          for ( j= 0; j < n; j++ ) pSetExp( p, j+1, exp[j] );
+        }
+        else if ( rmt == sparseResMat )
+        {
+          for ( j= 1; j < n; j++ ) pSetExp( p, j, exp[j] );
+        }
+        pSetCoeff( p, ncpoly[c] );
+        pSetm( p );
+        if (result) result= pAdd( pCopy(result), pCopy(p) );
+        else result= pCopy( p );
+        pDelete( &p );
       }
       c++;
@@ -2635,17 +2868,19 @@
     sum=0;
     exp[0]++;
-    for ( j= 0; j < n - 1; j++ ) {
-      if ( exp[j] > tdg ) {
-	exp[j]= 0;
-	exp[j + 1]++;
+    for ( j= 0; j < n - 1; j++ )
+    {
+      if ( exp[j] > tdg )
+      {
+        exp[j]= 0;
+        exp[j + 1]++;
       }
       sum+=exp[j];
-    } 
+    }
     sum+=exp[n-1];
-  } 
-  
+  }
+
   pSetm( result );
   pTest( result );
-  
+
   return result;
 }
@@ -2662,5 +2897,5 @@
 
   // evaluate D in tdg+1 distinct points, so
-  // we need tdg+1 results of D(p0,1,0,...,0) = 
+  // we need tdg+1 results of D(p0,1,0,...,0) =
   //              c(0)*u0^tdg + c(1)*u0^tdg-1 + ... + c(tdg-1)*u0 + c(tdg)
   number *presults;
@@ -2682,42 +2917,55 @@
   // this gives us n-1 evaluations
   p=3;
-  for ( uvar= 0; uvar < loops; uvar++ ) { 
+  for ( uvar= 0; uvar < loops; uvar++ )
+  {
     // generate initial evaluation point
-    if ( matchUp ) {
-      for (i=0; i < n; i++) {
-	// prime(random number) between 1 and MAXEVPOINT
-	nDelete( &pevpoint[i] );
-	if ( i == 0 ) {
-	  //p= nextPrime( p );
-	  pevpoint[i]= nInit( p );
-	} else 
-	  if ( i <= uvar + 2 ) {
-	    pevpoint[i]=nInit(IsPrime(1+(int) (MAXEVPOINT*rand()/(RAND_MAX+1.0))));
-	    //pevpoint[i]=nInit(383);
-	  } else pevpoint[i]=nInit(0);
-	mprPROTNnl(" ",pevpoint[i]);
-      }
-    } else {
-      for (i=0; i < n; i++) {
-	// init pevpoint with  prime,0,...0,1,0,...,0
-	nDelete( &pevpoint[i] );
-	if ( i == 0 ) {
-	  //p=nextPrime( p );
-	  pevpoint[i]=nInit( p );
-	} 
-	else 
-	  if ( i == (uvar + 1) ) pevpoint[i]= nInit(-1);
-	  else pevpoint[i]= nInit(0);
-	mprPROTNnl(" ",pevpoint[i]);
+    if ( matchUp )
+    {
+      for (i=0; i < n; i++)
+      {
+        // prime(random number) between 1 and MAXEVPOINT
+        nDelete( &pevpoint[i] );
+        if ( i == 0 )
+        {
+          //p= nextPrime( p );
+          pevpoint[i]= nInit( p );
+        }
+        else if ( i <= uvar + 2 )
+        {
+          pevpoint[i]=nInit(IsPrime(1+(int) (MAXEVPOINT*rand()/(RAND_MAX+1.0))));
+          //pevpoint[i]=nInit(383);
+        }
+        else
+          pevpoint[i]=nInit(0);
+        mprPROTNnl(" ",pevpoint[i]);
+      }
+    }
+    else
+    {
+      for (i=0; i < n; i++)
+      {
+        // init pevpoint with  prime,0,...0,1,0,...,0
+        nDelete( &pevpoint[i] );
+        if ( i == 0 )
+        {
+          //p=nextPrime( p );
+          pevpoint[i]=nInit( p );
+        }
+        else
+          if ( i == (uvar + 1) ) pevpoint[i]= nInit(-1);
+          else pevpoint[i]= nInit(0);
+        mprPROTNnl(" ",pevpoint[i]);
       }
     }
 
     // prepare aktual evaluation point
-    for (i=0; i < n; i++) {
+    for (i=0; i < n; i++)
+    {
       nDelete( &pev[i] );
       pev[i]= nCopy( pevpoint[i] );
     }
     // evaluate the determinant in the points pev^0, pev^1, ..., pev^tdg
-    for ( i=0; i <= tdg; i++ ) {
+    for ( i=0; i <= tdg; i++ )
+    {
       nDelete( &pev[0] );
       nPower(pevpoint[0],i,&pev[0]);          // new evpoint
@@ -2733,5 +2981,5 @@
     mprSTICKYPROT("\n");
 
-    // now interpolate 
+    // now interpolate
     vandermonde vm( tdg + 1, 1, tdg, pevpoint, FALSE );
     number *ncpoly= vm.interpolateDense( presults );
@@ -2739,9 +2987,10 @@
     if ( subDetVal != NULL ) {  // divide by common factor
       number detdiv;
-      for ( i= 0; i <= tdg; i++ ) {
-	detdiv= nDiv( ncpoly[i], subDetVal );
-	nNormalize( detdiv );
-	nDelete( &ncpoly[i] );
-	ncpoly[i]= detdiv;
+      for ( i= 0; i <= tdg; i++ )
+      {
+        detdiv= nDiv( ncpoly[i], subDetVal );
+        nNormalize( detdiv );
+        nDelete( &ncpoly[i] );
+        ncpoly[i]= detdiv;
       }
     }
@@ -2749,6 +2998,7 @@
 #ifdef mprDEBUG_ALL
     PrintLn();
-    for ( i=0; i <= tdg; i++ ) { 
-      nPrint(ncpoly[i]); Print(" --- "); 
+    for ( i=0; i <= tdg; i++ )
+    {
+      nPrint(ncpoly[i]); Print(" --- ");
     }
     PrintLn();
@@ -2756,7 +3006,7 @@
 
     // save results
-    roots[uvar]->fillContainer( ncpoly, pevpoint, uvar+1, tdg, 
-				(matchUp?rootContainer::cspecialmu:rootContainer::cspecial),
-				loops );
+    roots[uvar]->fillContainer( ncpoly, pevpoint, uvar+1, tdg,
+                                (matchUp?rootContainer::cspecialmu:rootContainer::cspecial),
+                                loops );
   }
 
@@ -2792,23 +3042,30 @@
   // or D(u0,k1,k2,0,...,0), D(u0,k1,k2,k3,0,...,0), ..., D(u0,k1,k2,k3,...,kn)
   p=3;
-  for ( uvar= 0; uvar < loops; uvar++ ) { 
+  for ( uvar= 0; uvar < loops; uvar++ )
+  {
     // generate initial evaluation point
-    if ( matchUp ) {
-      for (i=0; i < n; i++) {
-	// prime(random number) between 1 and MAXEVPOINT
-	nDelete( &pevpoint[i] );
-	if ( i <= uvar + 2 ) {
-	  pevpoint[i]=nInit(IsPrime(1+(int) (MAXEVPOINT*rand()/(RAND_MAX+1.0))));
-	  //pevpoint[i]=nInit(383);
-	} else pevpoint[i]=nInit(0);
-	mprPROTNnl(" ",pevpoint[i]);
-      }
-    } else {
-      for (i=0; i < n; i++) {
-	// init pevpoint with  prime,0,...0,-1,0,...,0
-	nDelete( &(pevpoint[i]) );
-	if ( i == (uvar + 1) ) pevpoint[i]= nInit(-1);
-	else pevpoint[i]= nInit(0);
-	mprPROTNnl(" ",pevpoint[i]);
+    if ( matchUp )
+    {
+      for (i=0; i < n; i++)
+      {
+        // prime(random number) between 1 and MAXEVPOINT
+        nDelete( &pevpoint[i] );
+        if ( i <= uvar + 2 )
+        {
+          pevpoint[i]=nInit(IsPrime(1+(int) (MAXEVPOINT*rand()/(RAND_MAX+1.0))));
+          //pevpoint[i]=nInit(383);
+        } else pevpoint[i]=nInit(0);
+        mprPROTNnl(" ",pevpoint[i]);
+      }
+    }
+    else
+    {
+      for (i=0; i < n; i++)
+      {
+        // init pevpoint with  prime,0,...0,-1,0,...,0
+        nDelete( &(pevpoint[i]) );
+        if ( i == (uvar + 1) ) pevpoint[i]= nInit(-1);
+        else pevpoint[i]= nInit(0);
+        mprPROTNnl(" ",pevpoint[i]);
       }
     }
@@ -2819,24 +3076,29 @@
 
     piter= pures;
-    for ( i= tdg; i >= 0; i-- ) {
+    for ( i= tdg; i >= 0; i-- )
+    {
       //if ( piter ) Print("deg %d, pDeg(piter) %d\n",i,pTotaldegree(piter));
-      if ( piter && pTotaldegree(piter) == i ) {
-	ncpoly[i]= nCopy( pGetCoeff( piter ) );
-	pIter( piter );
-      } else {
-	ncpoly[i]= nInit(0);
+      if ( piter && pTotaldegree(piter) == i )
+      {
+        ncpoly[i]= nCopy( pGetCoeff( piter ) );
+        pIter( piter );
+      }
+      else
+      {
+        ncpoly[i]= nInit(0);
       }
       mprPROTNnl("", ncpoly[i] );
-    }  
-    
+    }
+
     mprSTICKYPROT(ST_BASE_EV); // .
 
     if ( subDetVal != NULL ) {  // divide by common factor
       number detdiv;
-      for ( i= 0; i <= tdg; i++ ) {
-	detdiv= nDiv( ncpoly[i], subDetVal );
-	nNormalize( detdiv );
-	nDelete( &ncpoly[i] );
-	ncpoly[i]= detdiv;
+      for ( i= 0; i <= tdg; i++ )
+      {
+        detdiv= nDiv( ncpoly[i], subDetVal );
+        nNormalize( detdiv );
+        nDelete( &ncpoly[i] );
+        ncpoly[i]= detdiv;
       }
     }
@@ -2845,7 +3107,7 @@
 
     // save results
-    roots[uvar]->fillContainer( ncpoly, pevpoint, uvar+1, tdg, 
-				(matchUp?rootContainer::cspecialmu:rootContainer::cspecial),
-				loops );
+    roots[uvar]->fillContainer( ncpoly, pevpoint, uvar+1, tdg,
+                                (matchUp?rootContainer::cspecialmu:rootContainer::cspecial),
+                                loops );
   }
 
@@ -2864,5 +3126,6 @@
   i+=2;
   int j= IsPrime( i );
-  while ( j <= init ) {
+  while ( j <= init )
+  {
     i+=2;
     j= IsPrime( i );
@@ -2879,5 +3142,5 @@
 // compile-command-1: "make installg" ***
 // compile-command-2: "make install" ***
-// End: *** 
+// End: ***
 
 // in folding: C-c x
Index: Singular/mpr_base.h
===================================================================
--- Singular/mpr_base.h	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/mpr_base.h	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -4,7 +4,7 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: mpr_base.h,v 1.1 1999-06-28 12:48:12 wenk Exp $ */
+/* $Id: mpr_base.h,v 1.2 1999-06-28 16:06:25 Singular Exp $ */
 
-/* 
+/*
 * ABSTRACT - multipolynomial resultants - resultant matrices
 *            ( sparse, dense, u-resultant solver )
@@ -21,5 +21,6 @@
  * Base class for sparse and dense u-Resultant computation
  */
-class resMatrixBase {
+class resMatrixBase
+{
 public:
   /* state of the resultant */
@@ -37,7 +38,7 @@
   virtual const number getSubDet() { return NULL; }
 
-  virtual const long getDetDeg() const { return totDeg; } 
+  virtual const long getDetDeg() const { return totDeg; }
 
-  virtual const IStateType initState() const { return istate; }  
+  virtual const IStateType initState() const { return istate; }
 
 protected:
@@ -49,5 +50,5 @@
 
   int totDeg;
-  
+
 private:
   /* disables the copy constructor */
@@ -60,5 +61,6 @@
  * Base class for solving 0-dim poly systems using u-resultant
  */
-class uResultant {
+class uResultant
+{
 public:
   enum resMatType { none, sparseResMat, denseResMat };
@@ -75,10 +77,10 @@
   rootContainer ** specializeInU( BOOLEAN matchUp= false, const number subDetVal= NULL );
 
-  resMatrixBase * accessResMat() { return resMat; } 
+  resMatrixBase * accessResMat() { return resMat; }
 
 private:
   /* deactivated copy constructor */
   uResultant( const uResultant & );
-  
+
   ideal extendIdeal( const ideal gls, poly linPoly, const resMatType rmt );
   poly linearPoly( const resMatType rmt );
@@ -99,12 +101,3 @@
 // compile-command-2: "make install" ***
 // compile-command: "make installg" ***
-// End: *** 
-
-
-
-
-
-
-
-
-
+// End: ***
Index: Singular/mpr_complex.cc
===================================================================
--- Singular/mpr_complex.cc	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/mpr_complex.cc	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: mpr_complex.cc,v 1.7 1999-06-28 12:48:12 wenk Exp $ */
+/* $Id: mpr_complex.cc,v 1.8 1999-06-28 16:06:26 Singular Exp $ */
 
 /*
@@ -199,46 +199,53 @@
   gmp_float r;
 
-  if ( rField_is_Q() ) {
+  if ( rField_is_Q() )
+  {
     if ( num != NULL )
+    {
+      if (SR_HDL(num) & SR_INT)
       {
-	if (SR_HDL(num) & SR_INT)
-	  {
-	    r= SR_TO_INT(num);
-	  }
-	else
-	  {
-	    if ( num->s == 0 )
-	      {
-		nlNormalize( num );
-	      }
-	    if (SR_HDL(num) & SR_INT)
-	      {
-		r= SR_TO_INT(num);
-	      }
-	    else
-	      {
-		if ( num->s != 3 )
-		  {
-		    r= &num->z;
-		    r/= (gmp_float)&num->n;
-		  }
-		else
-		  {
-		    r= &num->z;
-		  }
-	      }
-	  }
+        r= SR_TO_INT(num);
       }
+      else
+      {
+        if ( num->s == 0 )
+        {
+          nlNormalize( num );
+        }
+        if (SR_HDL(num) & SR_INT)
+        {
+          r= SR_TO_INT(num);
+        }
+        else
+        {
+          if ( num->s != 3 )
+          {
+            r= &num->z;
+            r/= (gmp_float)&num->n;
+          }
+          else
+          {
+            r= &num->z;
+          }
+        }
+      }
+    }
     else
-      {
-	r= 0.0;
-      }
-  } else if (rField_is_long_R() || rField_is_long_C()) {
+    {
+      r= 0.0;
+    }
+  }
+  else if (rField_is_long_R() || rField_is_long_C())
+  {
     r= *(gmp_float*)num;
-  } else if ( rField_is_R() ) {
+  }
+  else if ( rField_is_R() )
+  {
     // Add some code here :-)
-    Werror("Ground field not implemented!");
-  } else {
-    Werror("Ground field not implemented!");
+    WerrorS("Ground field not implemented!");
+  }
+  else
+  {
+    WerrorS("Ground field not implemented!");
   }
 
@@ -499,9 +506,12 @@
     in_real=floatToStr( c.real(), oprec );         // get real part
     in_imag=floatToStr( abs(c.imag()), oprec );    // get imaginary part
-    
-    if (rField_is_long_C()) {
+
+    if (rField_is_long_C())
+    {
       out=(char*)AllocL((strlen(in_real)+strlen(in_imag)+5+strlen(currRing->parameter[0]))*sizeof(char));
       sprintf(out,"%s%s%s*%s",in_real,c.imag().sign()>=0?"+":"-",currRing->parameter[0],in_imag);
-    } else {
+    }
+    else
+    {
       out=(char*)AllocL( (strlen(in_real)+strlen(in_imag)+8) * sizeof(char));
       sprintf(out,"%s%s%s",in_real,c.imag().sign()>=0?" + I ":" - I ",in_imag);
Index: Singular/mpr_complex.h
===================================================================
--- Singular/mpr_complex.h	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/mpr_complex.h	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -4,15 +4,15 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: mpr_complex.h,v 1.5 1999-06-28 12:48:13 wenk Exp $ */
-
-/* 
+/* $Id: mpr_complex.h,v 1.6 1999-06-28 16:06:26 Singular Exp $ */
+
+/*
 * ABSTRACT - multipolynomial resultants - real floating-point numbers using gmp
 *            and complex numbers based on pairs of real floating-point numbers
-*   
+*
 */
 
 //-> include & define stuff
 // must have gmp version >= 2
-extern "C" { 
+extern "C" {
 #include <gmp.h>
 }
@@ -106,6 +106,6 @@
 
   inline bool setFromStr( char * in );
-  
-  // access 
+
+  // access
   inline const mpf_t *mpfp() const;
 
@@ -117,16 +117,16 @@
 
 public:
-  static void setPrecision( const unsigned long int prec ) { 
-    gmp_default_prec_bits= prec; 
-  }
-  static void setEqualBits( const unsigned long int prec ) { 
-    gmp_needequal_bits= prec; 
-  }
-
-  static const unsigned long int getPrecision() { 
-    return gmp_default_prec_bits; 
-  }
-  static const unsigned long int getEqualBits() { 
-    return gmp_needequal_bits; 
+  static void setPrecision( const unsigned long int prec ) {
+    gmp_default_prec_bits= prec;
+  }
+  static void setEqualBits( const unsigned long int prec ) {
+    gmp_needequal_bits= prec;
+  }
+
+  static const unsigned long int getPrecision() {
+    return gmp_default_prec_bits;
+  }
+  static const unsigned long int getEqualBits() {
+    return gmp_needequal_bits;
   }
 
@@ -270,5 +270,5 @@
 //-> class gmp_complex
 /**
- * @short gmp_complex numbers based on 
+ * @short gmp_complex numbers based on
  */
 class gmp_complex
@@ -306,5 +306,5 @@
 
   // gmp_complex <operator> real
-  inline friend gmp_complex operator + ( const gmp_complex & a, const gmp_float b_d );  
+  inline friend gmp_complex operator + ( const gmp_complex & a, const gmp_float b_d );
   inline friend gmp_complex operator - ( const gmp_complex & a, const gmp_float b_d );
   inline friend gmp_complex operator * ( const gmp_complex & a, const gmp_float b_d );
@@ -388,8 +388,3 @@
 // compile-command-1: "make installg" ***
 // compile-command-2: "make install" ***
-// End: *** 
-
-
-
-
-
+// End: ***
Index: Singular/mpr_global.h
===================================================================
--- Singular/mpr_global.h	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/mpr_global.h	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -4,8 +4,8 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: mpr_global.h,v 1.3 1999-06-28 12:48:14 wenk Exp $ */
+/* $Id: mpr_global.h,v 1.4 1999-06-28 16:06:27 Singular Exp $ */
 
-/* 
-* ABSTRACT - multipolynomial resultants - 
+/*
+* ABSTRACT - multipolynomial resultants -
 *                                global definitions and debugging stuff
 */
@@ -36,12 +36,12 @@
 #define mprPROT(msg) Print("%s",msg)
 #define mprPROTnl(msg) Print("%s\n",msg)
-#define mprPROTP(msg,poly) Print("%s",msg);pWrite0(poly) 
-#define mprPROTPnl(msg,poly) Print("%s",msg);pWrite(poly) 
+#define mprPROTP(msg,poly) Print("%s",msg);pWrite0(poly)
+#define mprPROTPnl(msg,poly) Print("%s",msg);pWrite(poly)
 #define mprPROTI(msg,intval) Print("%s%d",msg,intval)
 #define mprPROTInl(msg,intval) Print("%s%d\n",msg,intval)
 #define mprPROTN(msg,nval) Print("%s",msg);nPrint(nval);
 #define mprPROTNnl(msg,nval) Print("%s",msg);nPrint(nval);PrintLn();
-#else 
-#define mprPROT(msg) 
+#else
+#define mprPROT(msg)
 #define mprPROTnl(msg)
 #define mprPROTP(msg,poly)
@@ -93,6 +93,3 @@
 // compile-command-1: "make installg" ***
 // compile-command-2: "make install" ***
-// End: *** 
-
-
-
+// End: ***
